<?php
    require('../components/utils.php');
    require('../components/db_config.php');
    adminLogin();



    if(isset($_POST['add_accomm'])){
        $frm_data = filteration($_POST);
        $q = "INSERT INTO `accommodation`(`name`) VALUES (?)";
        $values = [$frm_data['name']];
        $res = insert($q, $values, 's');
        echo $res;
    }

    if(isset($_POST['get_accomm'])){
        $res = selectAll('accommodation');
        $i = 1;
        while($row = mysqli_fetch_assoc($res)){
            echo <<<data
            <tr>
                <td>$i</td>
                <td>$row[name]</td>
                <td>
                    <button type="button" onclick="remove_accomm($row[id])" class="btn-cancel">Delete</button>
                </td>
            </tr>
            data;
            $i++;
        }
    }

    if(isset($_POST['remove_accomm'])){
        $frm_data = filteration($_POST);
        $values = [$frm_data['remove_accomm']];

        $check_q = select('SELECT * FROM `room_accommodation` WHERE `accommodation_id`=?', [$frm_data['remove_accomm']], 'i');
        if(mysqli_num_rows($check_q) == 0){
            $q = "DELETE FROM `accommodation` WHERE `id`=?";
            $res = delete($q, $values, 'i');
            echo $res;
        } else{
            echo 'room_add';
        }

        
    }

    if(isset($_POST['add_addiAccomm'])){
        $frm_data = filteration($_POST);
        $q = "INSERT INTO `additional_accomm`(`name`, `detail`) VALUES (?, ?)";
        $values = [$frm_data['name'], $frm_data['detail']];
        $res = insert($q, $values, 'ss');
        echo $res;
    }

    if(isset($_POST['get_addiAccomm'])){
        $res = selectAll('additional_accomm');
        $i = 1;
        while($row = mysqli_fetch_assoc($res)){
            echo <<<data
            <tr>
                <td>$i</td>
                <td>$row[name]</td>
                <td>$row[detail]</td>
                <td>
                    <button type="button" onclick="remove_addiAccomm($row[id])" class="btn-cancel">Delete</button>
                </td>
            </tr>
            data;
            $i++;
        }
    }

    if(isset($_POST['remove_addiAccomm'])){
        $frm_data = filteration($_POST);
        $values = [$frm_data['remove_addiAccomm']];
        $check_q = select('SELECT * FROM `room_additionalAccom` WHERE `additionalAccom_id`=?', [$frm_data['remove_addiAccomm']], 'i');
        if(mysqli_num_rows($check_q) == 0){
            $q = "DELETE FROM `additional_accomm` WHERE `id`=?";
            $res = delete($q, $values, 'i');
            echo $res;
        } else{
            echo 'room_add';
        }
    }

?>